<div class="border-solid border-2 p-5 rounded-xl font-mono">
    <p class="font-bold text-lg">My Favorite Subject</p>
    <div *ngFor="let subject of subject_list | sortAlphabet:'subjectName'" class="flex-col p-1 py-2">
        <div (click)="sendSubjectToMain(subject)" class="cursor-pointer hover:bg-slate-200 transition duration-300 first-letter:cursor-pointer flex gap-x-2 bg-slate-100 p-2 pr-8 rounded-xl">
            <img class="w-6" src="{{subject.thumbnail}}" alt="">
            <p class="text-base">{{subject.subjectName}}</p>
        </div>
    </div>
</div>
<ng-content></ng-content>
